/*Table structure for table `kbx_cats` */

DROP TABLE IF EXISTS `kbx_cats`;

CREATE TABLE `kbx_cats` (
  `ID` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `kbx_cats` */

insert into `kbx_cats` (`ID`,`name`) values (1,'Main');

/*Table structure for table `kbx_comments` */

DROP TABLE IF EXISTS `kbx_comments`;

CREATE TABLE `kbx_comments` (
  `ID` int(11) NOT NULL auto_increment,
  `news_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `comment` text collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

/*Data for the table `kbx_comments` */

/*Table structure for table `kbx_dlcats` */

DROP TABLE IF EXISTS `kbx_dlcats`;

CREATE TABLE `kbx_dlcats` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `kbx_dlcats` */

insert into `kbx_dlcats` (`id`,`name`) values (1,'Main');

/*Table structure for table `kbx_downloads` */

DROP TABLE IF EXISTS `kbx_downloads`;

CREATE TABLE `kbx_downloads` (
  `id` int(11) NOT NULL auto_increment,
  `cat` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `desc` text NOT NULL,
  `file` varchar(100) NOT NULL default '',
  `downloads` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `kbx_downloads` */

/*Table structure for table `kbx_levels` */

DROP TABLE IF EXISTS `kbx_levels`;

CREATE TABLE `kbx_levels` (
  `uID` int(11) NOT NULL default '0',
  `isMod` tinyint(1) NOT NULL default '0',
  `isAdm` tinyint(1) default '0',
  PRIMARY KEY  (`uID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `kbx_levels` */

/*Table structure for table `kbx_links` */

DROP TABLE IF EXISTS `kbx_links`;

CREATE TABLE `kbx_links` (
  `ID` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `URL` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `kbx_links` */

insert into `kbx_links` (`ID`,`name`,`URL`) values (1,'Kubix','http://www.kubixproject.net');

/*Table structure for table `kbx_news` */

DROP TABLE IF EXISTS `kbx_news`;

CREATE TABLE `kbx_news` (
  `ID` tinyint(10) NOT NULL auto_increment,
  `news_author` tinyint(10) NOT NULL default '0',
  `news_cat` tinyint(4) NOT NULL default '0',
  `news_datetime` int(11) NOT NULL default '0',
  `news_title` text collate latin1_general_ci NOT NULL,
  `news_image` text collate latin1_general_ci NOT NULL,
  `news_story` text collate latin1_general_ci NOT NULL,
  `news_links` text collate latin1_general_ci NOT NULL,
  `sticky` tinyint(1) NOT NULL default '0',
  `views` int(11) NOT NULL default '1',
  `published` tinyint(1) default '1',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

/*Data for the table `kbx_news` */

insert into `kbx_news` (`ID`,`news_author`,`news_cat`,`news_datetime`,`news_title`,`news_image`,`news_story`,`news_links`,`sticky`,`views`,`published`) values (19,1,1,1152379619,'Welcome to Kubix','NewsImages/Kubix.png','Welcome to Kubix. This is the first post. You can delete or edit this post from the ACP. Kubix v0.2 has many new features and multiple bug fixes. Thank you for testing Kubix v0.2 :D \r\n\r\nAdministrators can see an extra menu in the sidebar. This menu is to provide easy access to some of the ACP features.','',0,202,1);

/*Table structure for table `kbx_options` */

DROP TABLE IF EXISTS `kbx_options`;

CREATE TABLE `kbx_options` (
  `site_name` varchar(100) NOT NULL default '',
  `site_url` varchar(100) NOT NULL default '',
  `default_theme` varchar(100) NOT NULL default '',
  `forum_url` varchar(100) NOT NULL default '',
  `announcement` text NOT NULL,
  `items_per_page` int(11) NOT NULL default '0',
  `home_cat` int(11) NOT NULL default '0',
  `recent_posts` int(11) NOT NULL default '0',
  `post_snip` int(11) NOT NULL default '0',
  `snip_trail` varchar(100) NOT NULL default '',
  `site_offline` tinyint(1) NOT NULL default '0',
  `offline_message` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `kbx_options` */

insert into `kbx_options` (`site_name`,`site_url`,`default_theme`,`forum_url`,`announcement`,`items_per_page`,`home_cat`,`recent_posts`,`post_snip`,`snip_trail`,`site_offline`,`offline_message`) values ('Kubix','http://localhost/Kubix','Kube','http://localhost/Kubix','This is a test announcement.',10,1,5,1000,'...',0,'The site is currently offline.');

/*Table structure for table `kbx_plugins` */

DROP TABLE IF EXISTS `kbx_plugins`;

CREATE TABLE `kbx_plugins` (
  `ID` int(11) NOT NULL auto_increment,
  `plugin_name` varchar(100) NOT NULL default '',
  `file_name` varchar(100) NOT NULL default '',
  `enabled` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `kbx_plugins` */

insert into `kbx_plugins` (`ID`,`plugin_name`,`file_name`,`enabled`) values (3,'Social Bookmarking Sites','social_bookmark.php',0);

DROP TABLE IF EXISTS `kbx_members`;

CREATE TABLE `kbx_members` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `members_display_name` varchar(100) NOT NULL default '',
  `mgroup` tinyint(4) NOT NULL default '1',
  `email` varchar(100) NOT NULL default '',
  `new_msg` int(11) NOT NULL default '0',
  `member_login_key` varchar(32) NOT NULL default '',
  `banned` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `kbx_members` */

insert into `kbx_members` (`id`,`name`,`members_display_name`,`mgroup`,`email`,`new_msg`,`member_login_key`,`banned`) values (1,'admin','admin',4,'tehkubix@gmail.com',0,'f6fdffe48c908deb0f4c3bd36c032e72',0);
DELETE FROM kbx_levels WHERE uID = 1 AND isAdm = 1;
INSERT INTO kbx_levels (uID, isMod, isAdm) VALUES(1, 0, 1);