<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

class gd_handler 
{
	/**
    * image
    * @access Private
    * @var image?!
    */
    var $im = NULL;
	
	/**
    * Random string
    * @access Private
    * @var String
    */
    var $string = NULL;
	
	/**
    * height of the captcha image
    * @access Private
    * @var int
    */
    var $height;
	
	/**
    * width of the captcha image
    * @access Private
    * @var int
    */
    var $width;


	/**
	* GD construnctor
	*
	* @param none
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return none
	*/
    function gd_handler () 
	{
        session_start();
        $this->height =150;
        $this->width = 35;
        
    }
 
 	/**
	* Generete a random string
	*
	* @param none
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return none
	*/   
	function generate_string () 
	{ 
        // Set session variable
		unset($_SESSION['gd_string']);
        $_SESSION['gd_string'] = substr(sha1(mt_rand()), 17, 6);
		
		$this->string = $_SESSION['gd_string'];
    }
	
 	/**
	* Verify the string with random string
	*
	* @param String $gd_string
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return bool
	*/ 
    function verify_string ($gd_string) 
	{
        // Check if the original string and the passed string match...
        return($_SESSION['gd_string'] == $gd_string);
    }

 	/**
	* Create captcha image
	*
	* @param none
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return none
	*/    
    function create_image () 
	{
        // Seed string
        $this->generate_string();

        $this->im = imagecreatetruecolor($this->height, $this->width); // Create image
        
        // Get width and height
        $img_width = imagesx($this->im);
        $img_height = imagesy($this->im);
        
        // Define some common colors
        $black = imagecolorallocate($this->im, 0, 0, 0);
		$white = imagecolorallocate($this->im, 255, 255, 255);
        
        // Background
        imagefilledrectangle($this->im, 0, 0, $img_width, $img_height, $white);
		
		
		// select random font size
		$count=strlen($this->string);
		for($i=0;$i<$count;$i++)
		{
			$FontSize = rand(18, 28);
			$Angle=rand(-30, 30);
			imagefttext($this->im,$FontSize,$Angle,(($img_width - (strlen($this->string)-$i * 200)) / 9), (($img_height +25) / 2),$black,'inc/VeraIt.ttf',$this->string[$i]);
		}
        
    }
	
 	/**
	* Output the captcha image
	*
	* @param none
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return none
	*/ 
    function output_image() 
	{
        $this->create_image(); // Generate image

        header("Content-type: image/jpeg"); // Tell the browser the data is a JPEG image
        
        imagejpeg($this->im); // Output Image
        imagedestroy($this->im); // Flush Image
    }

 	/**
	* Create the thumb
	*
	* @param String $sorgente, String $name, int $qualita
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return none
	*/ 
    function create_thumb($sorgente, $name, $qualit=100)
    {
        if (!file_exists($sorgente))
        {
            echo "L'immagine non esiste!";
        }
        else
        {
            $size = getimagesize($sorgente);

			if($size[1]<150)
				{
				$lar=$size[0];
				$alt=$size[1];
				$alt2=$alt;
				$lar2=$lar;
				}
			else
				{
				$rap = $size[1] / 150;
				$lar = $size[0] / $rap;
				$alt=150;
				$alt2=135;
				$lar2=$size[0]/($size[1] / 135);
				}

            $resize = imagecreatetruecolor($lar, $alt);

            if ($qualit > 100)
            {
                echo "Qualit massima: 100!";
            }
            else
            {

				//ob_start();
                switch ($size["mime"])
                {
                    case "image/jpeg":
						$im = imagecreatefromjpeg($sorgente);
						imagecopyresampled($resize, $im, ($lar-$lar2)/2, 0, 0, 0, $lar2, $alt2, $size[0], $size[1]);
						$this->Miniatura($resize,$size,$lar,$alt,$sorgente);
						imagejpeg($resize, 'uploads/images/thumb_'.$name, $qualit);
						imagejpeg(imagecreatefromjpeg($sorgente), 'uploads/images/'.$name,$qualit);
                    break;

                    case "image/png":
                    	$qualit=9;
						$im = imagecreatefrompng($sorgente);
						imagecopyresampled($resize, $im, 0, 0, 0, 0, $lar, $alt, $size[0], $size[1]);
						$this->Miniatura($resize,$size,$lar,$alt,$sorgente);
						imagepng($resize, 'uploads/images/thumb_'.$name, $qualit);
						imagepng(imagecreatefrompng($sorgente), 'uploads/images/'.$name,$qualit);
                    break;

					case "image/gif":
						$im = imagecreatefromgif($sorgente);
						imagecopyresampled($resize, $im, 0, 0, 0, 0, $lar, $alt, $size[0], $size[1]);
						$this->Miniatura($resize,$size,$lar,$alt,$sorgente);
						imagegif($resize, 'uploads/images/thumb_'.$name, $qualit);
						imagegif(imagecreatefromgif($sorgente), 'uploads/images/'.$name,$qualit);
                    break;
                }
				
                imagedestroy($im);


            }
        }
    }

 	/**
	* Create the real thumb
	*
	* @param img $resize, int $size, int $lar, int $alt, String $sorgente
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return none
	*/ 
	function Miniatura(& $resize,$size,$lar,$alt,$sorgente)
	{
		$black=imagecolorallocate($resize, 0, 0, 0);
		$white=imagecolorallocate($resize, 255, 255, 255);
	
		imageline($resize,0,0,$lar,0, $black);
		imageline($resize,0,0,0,$alt, $black);
		imageline($resize,$lar-1,0,$lar-1,$alt-1, $black);
	
		$peso=(int)(filesize($sorgente)/1024);
		imagefilledrectangle ( $resize, 0, $alt-18, $lar, $alt, $black );
		$stringa=$size[0].'X'.$size[1].' '.$peso.' kb';
		imagestring($resize, 3, $lar/2-(strlen($stringa)*3), $alt-16, $stringa, $white);
	}
	
 	/**
	* Save a file from an url
	*
	* @param String $url
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return String
	*/ 	
	function http_get_file($url,  & $err)
	{
		$fd = @fopen ($url, "r");
		$error = & $err;
		if(!$fd)
			$error->simple_error('invalid_url');
			
		$buffer = '';
		
		while (!feof ($fd)) 
			$buffer.= fgets($fd, 4096);	
			
		fclose ($fd);
		
		return $buffer;
	}	
	

}
?>