<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

class File_Upload
{
	/**
    * Allowed file types
    * @access Private
    * @var array()
    */
   var $allow_types;
   var $field_name;
   var $dir;
   var $file_prefix;
   var $file_max_size;
   var $location;
   var $thumb_location;
   var $output;
   var $classes;

	/**
    * File Upload Constructor
    *
    * @param class classes, int $size
    * @author denadai2 <denadai2@gmail.com>
    * @since v 1.0
    * @access Public
    * @return none
    */
   function File_Upload(& $classes, $size = '512000'){
      #creates array of allowed file types if you dont enter your own
    
      $this->file_types();
      $this->field_name = 'upload';        #name of the upload field in form
      $this->dir = 'uploads';           #name of upload directory
      $this->file_prefix = '';        #file prefix
      $this->file_max_size = $size; #max file size
      $this->output = array ();         #makes array to store loction of uploaded files so you know what was uploaded
	  $this->classes= & $classes;
   }

   	/**
    * Define allowed file types
    *
    * @param None
    * @author denadai2 <denadai2@gmail.com>
    * @since v 1.0
    * @access Public
    * @return none
    */
   function file_types(){
      $this->allow_types = array (
       	 'text/html',
         'text/plain',
         'text/css',
         'image/gif',
         'image/x-png',
         'image/jpeg',
         'image/tiff',
         'image/x-ms-bmp',
         'application/rtf',
         'application/pdf',
         'application/x-pdf',
         'application/x-gtar',
         'application/x-tar',
         'application/zip',
         'application/x-zip-compressed',
         'application/msword',
         'image/x-icon',
         'image/bmp',
         'image/pjpeg'
      );
   }

   	/**
    * Process uploaded files
    *
    * @param int $image
    * @author denadai2 <denadai2@gmail.com>
    * @since v 1.0
    * @access Public
    * @return none
    */
   function process($image = '0')
   {
	
      #checks that file was uploaded
      if(!file_exists($_FILES[$this->field_name]['tmp_name']))
         $this->classes->error->simple_error('upload_error');

      #checks that the file isnt too large
      if($_FILES[$this->field_name]['size']>$this->file_max_size)
         $this->classes->error->simple_error('upload_maxsize');
		 
      #checks to see if file type is allowed
      if(!in_array($_FILES[$this->field_name]['type'],$this->allow_types))
         $this->classes->error->simple_error('upload_type');

		$string = base64_encode(substr($_FILES['upload']['name'],0,15).time());
      #Repeat loop till you find an available file name
      for ($loop=1; file_exists($this->location); $loop++)
      {
         #create new file location
         $this->location = $this->dir.'/'.$loop.'_'.$string.'.rvk';
         $this->thumb_location = $this->dir.'/thumb_'.$loop."_".$this->file_prefix.$_FILES[$this->field_name]['name'];
      }

      #processes file for image stuff
      /*if($image)
	  {
         $outcome = $this->process_image($image);
         if(!$image[skip_resize]) # dont need to rename the orignal as we have skipped the resizing
            $this->location = $this->dir."/orig_".$loop."_".$this->file_prefix.$_FILES[$this->field_name]['name'];
      }
	  else
	  {*/
	  		$this->location = $this->dir.'/'.$string.'.rvk';
	 // }

      if($outcome){
         #returns any errors from the image function
         return $outcome;
      }else{
         #moves the original file from the tmp dir to where you want to store them
         if(!copy($_FILES[$this->field_name]['tmp_name'], $this->location)){
            $this->classes->error->simple_error('upload_temp');
         }else{
            array_push($this->output, $this->location);
            #The upload was successful - the locations of all files uploaded are stored in $this->ouput.
			
			
			$this->classes->db->execQuery($this->classes->db->sql_build('insert_upload', array(time(),$_FILES['upload']['name'], $string.'.rvk', $_FILES['upload']['size'], $_FILES['upload']['type']) ));
            return $this->classes->db->insert_id();
         }
      }
   } 




   	/**
    * Process icons file types
    *
    * @param String $name
    * @author denadai2 <denadai2@gmail.com>
    * @since v 1.0
    * @access Public
    * @return none
    */
   function filetypes2icons($name){
      $this->types = array (
         'text/html' 					=>		'html.png',
         'text/plain' 					=>		'page.png',
         'text/css'						=>		'css.png',
         'image/gif'					=>		'image.png',
         'image/x-png'					=>		'image.png',
         'image/jpeg'					=>		'image.png',
         'image/tiff'					=>		'image.png',
         'image/x-ms-bmp'				=>		'image.png',
         'application/rtf'				=>		'page.png',
         'application/pdf'				=>		'page_white_acrobat.png',
         'application/x-pdf'			=>		'page_white_acrobat.png',
         'application/x-gtar'			=>		'compress.png',
         'application/x-tar'			=>		'compress.png',
         'application/zip'				=>		'compress.png',
         'application/x-zip-compressed'	=>		'compress.png',
         'application/msword'			=>		'page.png',
         'image/x-icon'					=>		'image.png',
         'image/bmp'					=>		'image.png',
         'image/pjpeg'					=>		'image.png'
      );
	  
	  return $this->types[$name];
   }
   
}

?>