<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
	
class database
	{
	/**
    * database connection
    * @access Private
    * @var ?
    */
	var $db;
	
	/**
    * Connection configs
    * @access Private
    * @var array->string
    */
	var $config;
	
	/**
    * Working uery
    * @access Private
    * @var ?
    */
	var $now_query;
	
	/**
    * number of executed queries
    * @access Public
    * @var int
    */
	var $num_query;
	
	var $last_query_e;
	
	var $sql_templates;
	
	/**
    * Database Constructor
    *
    * @param None
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */
	function database($CONFIG)
		{
		$this->db=0;
		$this->now_query=0;
		$this->num_query=0;
		
		$this->config=$CONFIG;
		
		require 'inc/db/mysql_queries.php';
		
		$this->sql_templates = $sql_templates;
		}
	
	/**
    * Connect to database
    *
    * @param string $database
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */
	function connect()
		{
		if(!$this->db=mysql_connect($this->config['host'], $this->config['username'], $this->config['password']))
			{
			echo 'Errore connessione database ';
			exit;
			}
		$this->switch_db($this->config['dbname']);
		
		}

	/**
    * close the database connection
    *
    * @param none
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */		
	function disconnect(){
		mysql_close($this->db);
	}
	
	/**
    * Switch database
    *
    * @param string $database
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */	
	function switch_db($database)
		{
		if(!mysql_select_db($database,$this->db))
			{
			echo 'Selezione database fallita';
			exit;
			}
		}
	
	
	/**
    * Execute a query
    *
    * @param ? $query
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */
	function execQuery($query)
		{
		$this->num_query=$this->num_query+1;
		
		if(!$query2 = mysql_query($query,$this->db))
			trigger_error(get_class($this) . '::query() Could not execute: ' . mysql_error() . ' (SQL: ' . $query . ')', E_USER_ERROR);
		
		return $query2;
		}
		
	/**
    * Put the results in an array
    *
    * @param ? $query
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return array()
    */
	function fetch_array($query)
		{
		$temp = @mysql_fetch_array($query, MYSQL_ASSOC);
		
		/*if(!$temp)
			$this->fatal_error($this->last_query_e);*/
			
		return $temp;
		}

	/**
    * Return the num of the rows selected
    *
    * @param none
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return integer
    */
	function num_rows($query)
	{
		return mysql_num_rows($query);
	}

	/**
    * Return the last inserted row in mysql
    *
    * @param none
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return integer
    */		
	function insert_id()
	{
		return mysql_insert_id($this->db);
	}


	/**
    * This function runs the template through sprintf and passes any given parameters.
    *
    * @param string $template, array $params
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return ?query
    */		
	function sql_build($template, $params=array()) 
	{
	  	
	  	if (isset($this->sql_templates[$template])) 
		{
			// TODO: verify given parameter count matches params for template.
			if (is_array($params)) 
		  		$sql = vsprintf($this->sql_templates[$template], $params);
			else 
		  		$sql = sprintf($this->sql_templates[$template], $params);
				
			return str_replace('revokebb_', $this->config['prefix'], $sql);
	  	}
	  	return false;
	}
	
	
	/**
    * Return the mysql version infos
    *
    * @param none
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return array()
    */	
	function info_version()
	{
	return mysql_get_server_info($this->db);
	
	}
	
	/**
    * Close the mysql connection
    *
    * @param none
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return void
    */	
	function close()
	{
	return mysql_close($this->db);
	
	}
	
	function fatal_error($query)
	{
		echo '<html><head><title>RevokeBB Fatal error</title></head><body><div align="center"><p>&nbsp;</p><h3>Error!</h3>
<p>&nbsp;</p>
<div style="font-size:12px; font-family:verdana; width:500px; padding: 2px; color: #F40000; margin: 2px; background-color: #FFC4C4; border: 1px solid #F40000;">Error on query: '.$query.'<br />'.mysql_error().'</div></div></body></html>';
		exit;
	}


}
 
?>