<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
	
class database
	{
	/**
    * database connection
    * @access Private
    * @var ?
    */
	var $db;
	
	/**
    * Connection configs
    * @access Private
    * @var array->string
    */
	var $config;
	
	/**
    * Working uery
    * @access Private
    * @var ?
    */
	var $now_query;
	
	/**
    * number of executed queries
    * @access Public
    * @var int
    */
	var $num_query;
	
	/**
    * Database Constructor
    *
    * @param None
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */
	function database($CONFIG)
	{
		$this->db=0;
		$this->now_query=0;
		$this->num_query=0;
		
		$this->config=$CONFIG;
		
		require 'inc/db/mysql_queries.php';
		
		$this->sql_templates = $sql_templates;
	}
	
	/**
    * Connect to database
    *
    * @param string $database
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */
	function connect()
		{
		$this->db=new mysqli($this->config['host'], $this->config['username'], $this->config['password'], $this->config['dbname']);
		if(mysqli_connect_errno())
			{
			echo 'Errore connessione database';
			exit;
			}
		
		}

	/**
    * close the database connection
    *
    * @param none
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */		
	function disconnect(){
		$this->db->close();
	}
	
	/**
    * Switch database
    *
    * @param string $database
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */	
	function switch_db($database)
		{
		if(!$this->db->select_db($database))
			{
			echo 'Selezione database fallita';
			exit;
			}
		}
	
	
	/**
    * Execute a query
    *
    * @param ? $query
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */
	function execQuery($query)
		{
		$this->num_query=$this->num_query+1;
		$query2=$this->db->execQuery($query);
		if(!$query2)
			trigger_error(get_class($this) . '::query() Could not execute: '  . ' (SQL: ' . $query . ')', E_USER_ERROR);
		
		return $query2;
		}
		
	/**
    * Put the results in an array
    *
    * @param ? $query
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return array()
    */
	function fetch_array(& $query)
		{
		return $query->fetch_array(MYSQL_ASSOC);
		}

	/**
    * Return the num of the rows selected
    *
    * @param none
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return integer
    */
	function num_rows($query)
	{
		return $query->num_rows;
	}
	
	function insert_id()
	{
		return $this->db->insert_id;
	}


	/**
    * This function runs the template through sprintf and passes any given parameters.
    *
    * @param string $template, array $params
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return ?query
    */		
	function sql_build($template, $params=array()) 
	{
	  	if (isset($this->sql_templates[$template])) 
		{
			// TODO: verify given parameter count matches params for template.
			if (is_array($params)) 
		  		$sql = vsprintf($this->sql_templates[$template], $params);
			else 
		  		$sql = sprintf($this->sql_templates[$template], $params);
				
			return str_replace('revokebb_', $this->config['prefix'], $sql);
	  	}
	  	return false;
	}
	

	function info_version()
	{
	return $this->db->server_version;
	
	}

} 
?>