<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

//----------------------------------
// TEMPLATES SQL
//----------------------------------
$sql_templates['fetch_configs'] = <<< ENDSQL
SELECT * FROM revokebb_configs
ENDSQL;

$sql_templates['fetch_all_forums'] = <<< ENDSQL
SELECT * FROM `revokebb_forums` ORDER BY `forum_id` ASC 
ENDSQL;

$sql_templates['fetch_categories'] = <<< ENDSQL
SELECT * FROM revokebb_category
ENDSQL;

$sql_templates['fetch_forums_by_catid'] = <<< ENDSQL
SELECT * FROM revokebb_forums WHERE catid=%d
ENDSQL;

$sql_templates['fetch_forum_by_id'] = <<< ENDSQL
SELECT * FROM revokebb_forums WHERE forum_id=%d LIMIT 0,1
ENDSQL;

$sql_templates['fetch_threads_and_posttext_by_id'] = <<< ENDSQL
Select
revokebb_threads.thread_id,
revokebb_threads.title,
revokebb_threads.lastposterid,
revokebb_threads.lastposter,
revokebb_threads.pollid,
revokebb_threads.forumid,
revokebb_threads.postusername,
revokebb_threads.postuserid,
revokebb_threads.dateline,
revokebb_threads.reply,
revokebb_threads.visible,
revokebb_threads.sticky,
revokebb_threads.views,
revokebb_threads.closed,
revokebb_threads.firstpostid,
revokebb_threads.last_update,
revokebb_posts.upload,
revokebb_posts.`text`,
revokebb_posts.post_id,
revokebb_forums.forum_id
From
(revokebb_threads,
revokebb_posts)
Inner Join revokebb_forums ON (revokebb_threads.forumid = revokebb_forums.forum_id)
Where
revokebb_threads.firstpostid = revokebb_posts.post_id AND
revokebb_threads.forumid = '%d'
Order By
revokebb_threads.sticky Desc,
revokebb_threads.last_update Desc
LIMIT %d,15
ENDSQL;

$sql_templates['user_exists_id'] = <<< ENDSQL
Select
revokebb_users.user_id,
revokebb_users.user_nick
From
revokebb_users
Where
revokebb_users.user_id = '%d'
Limit 0, 1
ENDSQL;

$sql_templates['user_exists_nick'] = <<< ENDSQL
Select
revokebb_users.user_id,
revokebb_users.user_nick
From
revokebb_users
Where
revokebb_users.user_nick = '%d'
Limit 0, 1
ENDSQL;

$sql_templates['insert_user_all'] = <<< ENDSQL
INSERT INTO revokebb_users(user_nick, user_password, user_email, user_avatar, user_sign, level, posts, joined)
VALUES ('%s', '%s', '%s', '%s', '%s', '%d', '%d', '%d')
ENDSQL;

$sql_templates['index_forums'] = <<< ENDSQL
Select
revokebb_forums.forum_id,
revokebb_forums.title,
revokebb_forums.description,
revokebb_forums.replycount,
revokebb_forums.lastpost,
revokebb_forums.lastposter,
revokebb_forums.lastposterid,
revokebb_forums.lastthread,
revokebb_forums.lastthreadid,
revokebb_forums.threadcount,
revokebb_forums.closed,
revokebb_forums.move_url,
revokebb_forums.catid,
revokebb_forums.lastaction,
revokebb_category.cat_id,
revokebb_forums.rank,
revokebb_category.title AS cat_title,
revokebb_perms.group_id,
revokebb_perms.perm
From
revokebb_forums
Inner Join revokebb_category ON revokebb_category.cat_id = revokebb_forums.catid
Inner Join revokebb_perms ON revokebb_perms.forum_id = revokebb_forums.forum_id
Where
revokebb_perms.group_id = '%d'
ORDER By
revokebb_category.cat_id,
revokebb_forums.rank
ENDSQL;

$sql_templates['admin_index_forums'] = <<< ENDSQL
Select
revokebb_forums.forum_id,
revokebb_forums.title,
revokebb_forums.description,
revokebb_forums.replycount,
revokebb_forums.lastpost,
revokebb_forums.lastposter,
revokebb_forums.lastposterid,
revokebb_forums.lastthread,
revokebb_forums.lastthreadid,
revokebb_forums.threadcount,
revokebb_forums.closed,
revokebb_forums.move_url,
revokebb_forums.catid,
revokebb_forums.lastaction,
revokebb_category.cat_id,
revokebb_forums.rank,
revokebb_category.title AS cat_title
From
revokebb_forums
right outer Join revokebb_category ON revokebb_category.cat_id = revokebb_forums.catid
ORDER By
revokebb_category.cat_id,
revokebb_forums.rank
ENDSQL;

$sql_templates['fetch_forums_by_catid'] = <<< ENDSQL
Select
revokebb_forums.forum_id,
revokebb_forums.title,
revokebb_forums.description,
revokebb_forums.replycount,
revokebb_forums.lastpost,
revokebb_forums.lastposter,
revokebb_forums.lastposterid,
revokebb_forums.lastthread,
revokebb_forums.lastthreadid,
revokebb_forums.threadcount,
revokebb_forums.closed,
revokebb_forums.move_url,
revokebb_forums.catid,
revokebb_forums.lastaction,
revokebb_category.cat_id,
revokebb_forums.rank,
revokebb_category.title AS cat_title,
revokebb_perms.group_id,
revokebb_perms.perm
From
revokebb_forums
Inner Join revokebb_category ON revokebb_category.cat_id = revokebb_forums.catid
Inner Join revokebb_perms ON revokebb_perms.forum_id = revokebb_forums.forum_id
Where
revokebb_perms.group_id = '%d' 
And
revokebb_category.cat_id = '%d'
ORDER By
revokebb_category.cat_id,
revokebb_forums.rank
ENDSQL;


$sql_templates['showthread_nav'] = <<< ENDSQL
Select
revokebb_threads.title AS thread_title,
revokebb_threads.forumid,
revokebb_forums.forum_id,
revokebb_forums.title,
revokebb_forums.catid,
revokebb_category.cat_id,
revokebb_category.title AS cat_title,
revokebb_threads.thread_id,
revokebb_perms.group_id,
revokebb_perms.perm
From
revokebb_threads
Inner Join revokebb_forums ON revokebb_threads.forumid = revokebb_forums.forum_id
Inner Join revokebb_category ON revokebb_forums.catid = revokebb_category.cat_id
Inner Join revokebb_perms ON revokebb_perms.forum_id = revokebb_forums.forum_id
Where
revokebb_threads.thread_id = '%d' AND
revokebb_perms.group_id = '%d'
ENDSQL;

$sql_templates['showforum_nav'] = <<< ENDSQL
Select
revokebb_forums.forum_id,
revokebb_category.cat_id,
revokebb_category.title AS cat_title,
revokebb_forums.catid,
revokebb_forums.title,
revokebb_perms.group_id,
revokebb_perms.perm
From
revokebb_forums
Inner Join revokebb_category ON revokebb_category.cat_id = revokebb_forums.catid
Inner Join revokebb_perms ON revokebb_perms.forum_id = revokebb_forums.forum_id
Where
revokebb_forums.forum_id = '%d' AND
revokebb_perms.group_id = '%d'
ENDSQL;

$sql_templates['fetch_posts_by_tid'] = <<< ENDSQL
Select
revokebb_posts.post_id,
revokebb_posts.thread_id,
revokebb_posts.user_id,
revokebb_posts.title,
revokebb_posts.dateline,
revokebb_posts.`text`,
revokebb_posts.visible,
revokebb_posts.author_ip,
revokebb_posts.username,
revokebb_posts.upload,
revokebb_users.user_id,
revokebb_users.user_nick,
revokebb_users.user_password,
revokebb_users.user_email,
revokebb_users.user_website,
revokebb_users.user_avatar,
revokebb_users.user_sign,
revokebb_users.user_msn,
revokebb_users.user_yahoo,
revokebb_users.level,
revokebb_users.posts,
revokebb_users.lastaction,
revokebb_users.user_mp,
revokebb_users.user_newmp,
revokebb_uploads.upload_id,
revokebb_uploads.upload_date,
revokebb_uploads.upload_file,
revokebb_uploads.upload_size,
revokebb_uploads.upload_hits,
revokebb_uploads.upload_name,
revokebb_uploads.upload_type,
revokebb_groups.gid,
revokebb_groups.name,
revokebb_groups.description,
revokebb_groups.image
From
revokebb_users
Inner Join revokebb_posts ON revokebb_posts.user_id = revokebb_users.user_id
Inner Join revokebb_uploads ON revokebb_uploads.upload_id = revokebb_posts.upload
Inner Join revokebb_groups ON revokebb_users.level = revokebb_groups.gid
Where
revokebb_posts.thread_id = '%d'
ORDER BY revokebb_posts.post_id ASC
LIMIT %d,10
ENDSQL;

$sql_templates['fetch_posts_by_tid_last_10'] = <<< ENDSQL
Select
revokebb_posts.post_id,
revokebb_posts.thread_id,
revokebb_posts.user_id,
revokebb_posts.title,
revokebb_posts.dateline,
revokebb_posts.`text`,
revokebb_posts.visible,
revokebb_posts.author_ip,
revokebb_posts.username,
revokebb_posts.upload,
revokebb_users.user_id,
revokebb_users.user_nick,
revokebb_users.user_password,
revokebb_users.user_email,
revokebb_users.user_website,
revokebb_users.user_avatar,
revokebb_users.user_sign,
revokebb_users.level,
revokebb_users.posts,
revokebb_users.lastaction,
revokebb_users.user_mp,
revokebb_users.user_newmp,
revokebb_uploads.upload_id,
revokebb_uploads.upload_date,
revokebb_uploads.upload_file,
revokebb_uploads.upload_size,
revokebb_uploads.upload_hits,
revokebb_uploads.upload_name,
revokebb_uploads.upload_type,
revokebb_groups.gid,
revokebb_groups.name,
revokebb_groups.description,
revokebb_groups.image
From
revokebb_users
Inner Join revokebb_posts ON revokebb_posts.user_id = revokebb_users.user_id
Inner Join revokebb_uploads ON revokebb_uploads.upload_id = revokebb_posts.upload
Inner Join revokebb_groups ON revokebb_users.level = revokebb_groups.gid
Where
revokebb_posts.thread_id = '%d'
ORDER BY revokebb_posts.post_id DESC
LIMIT 0,10
ENDSQL;

$sql_templates['fetch_thread_by_id'] = <<< ENDSQL
SELECT * FROM revokebb_threads WHERE thread_id='%d' 
ENDSQL;

$sql_templates['fetch_post_by_id'] = <<< ENDSQL
SELECT * FROM revokebb_posts WHERE post_id='%d' 
ENDSQL;

$sql_templates['update_user_post'] = <<< ENDSQL
UPDATE revokebb_users SET posts='%d'
ENDSQL;

$sql_templates['new_thread'] = <<< ENDSQL
INSERT INTO revokebb_threads (title, lastposterid, lastposter, pollid, forumid, postusername, postuserid, visible, dateline, last_update) VALUES ('%s', '%d', '%s', 0, '%d', '%s', '%d', 1, '%d', '%d')
ENDSQL;

$sql_templates['usercp_pvt'] = <<< ENDSQL
Select
revokebb_mp.id,
revokebb_mp.title,
revokebb_mp.`date`,
revokebb_mp.view,
revokebb_mp.author_id,
revokebb_mp.to_id,
revokebb_users.user_nick
From
revokebb_mp
Inner Join revokebb_users ON revokebb_users.user_id = revokebb_mp.author_id WHERE to_id='%s'
ENDSQL;

$sql_templates['fetch_forum_by_catid'] = <<< ENDSQL
SELECT * FROM revokebb_forums WHERE category='%d'
ENDSQL;

$sql_templates['update_forum_rank'] = <<< ENDSQL
UPDATE revokebb_forums SET rank='%d', catid = '%d' WHERE forum_id='%d'
ENDSQL;

$sql_templates['forum_rename'] = <<< ENDSQL
UPDATE revokebb_forums SET title='%s' WHERE forum_id='%d'
ENDSQL;

$sql_templates['thread_firstpost_update'] = <<< ENDSQL
UPDATE revokebb_threads SET firstpostid='%d' WHERE thread_id='%d'
ENDSQL;

$sql_templates['thread_threadcount_update'] = <<< ENDSQL
UPDATE revokebb_forums SET threadcount=(threadcount+1) WHERE forum_id='%d'
ENDSQL;

$sql_templates['board_threads_update'] = <<< ENDSQL
UPDATE revokebb_configs SET conf_value=%d WHERE conf_name='board_threads'
ENDSQL;

$sql_templates['user_postcount_update'] = <<< ENDSQL
UPDATE revokebb_users SET posts=(posts+1) WHERE user_id='%d'
ENDSQL;

$sql_templates['subscribed_threads'] = <<< ENDSQL
SELECT
`revokebb_thread_subscribe`.`thread_id`,
`revokebb_thread_subscribe`.`userid`,
`revokebb_thread_subscribe`.`subscribe_id`,
`revokebb_threads`.`title`,
`revokebb_threads`.`thread_id`,
`revokebb_threads`.`reply`,
`revokebb_threads`.`visible`,
`revokebb_threads`.`views`,
`revokebb_threads`.`postusername`,
`revokebb_threads`.`postuserid`,
`revokebb_threads`.`lastposterid`,
`revokebb_threads`.`lastposter`,
`revokebb_threads`.`dateline`,
`revokebb_posts`.`thread_id`,
`revokebb_posts`.`text`
FROM
`revokebb_thread_subscribe`
Inner Join `revokebb_threads` ON `revokebb_threads`.`thread_id` = `revokebb_thread_subscribe`.`thread_id`
Inner Join `revokebb_posts` ON `revokebb_posts`.`thread_id` = `revokebb_threads`.`thread_id`
Where
revokebb_thread_subscribe.userid = '%d'
GROUP BY
`revokebb_threads`.`thread_id`
ORDER BY
`revokebb_threads`.`thread_id` DESC,
`revokebb_posts`.`post_id` ASC
ENDSQL;

$sql_templates['fetch_search_cache'] = <<< ENDSQL
SELECT * FROM revokebb_search Where id='%s' AND `sort`='%s' AND page = '%d'
ENDSQL;

$sql_templates['insert_search_cache'] = <<< ENDSQL
INSERT INTO revokebb_search (id, dateline, `sort`, userid, ip, query_cache, page, forums) VALUES ('%s', '%d', '%s', '%d', '%s', '%s', '%d', '' )
ENDSQL;

$sql_templates['session_timeout'] = <<< ENDSQL
DELETE FROM revokebb_sessions WHERE timeout < %d OR sid='%s' OR ip = '%s'
ENDSQL;

$sql_templates['update_user_lastaction'] = <<< ENDSQL
UPDATE revokebb_users SET lastaction='%d' WHERE user_id=%d
ENDSQL;

$sql_templates['insert_user_session'] = <<< ENDSQL
INSERT INTO revokebb_sessions (username, sid, ip, level, timeout, spider_name) VALUES ('%s', '%s', '%s', '%d', '%d', '%s')
ENDSQL;

$sql_templates['cookie_user_exists'] = <<< ENDSQL
Select * From revokebb_users Where revokebb_users.user_nick = '%s' AND revokebb_users.user_password = '%s'
ENDSQL;

$sql_templates['insert_spider_log'] = <<< ENDSQL
INSERT INTO revokebb_spider_logs (spider_name, ip, page, dateline) VALUES ('%s', '%s', '%s', '%d')
ENDSQL;

$sql_templates['fetch_user_infos_by_id'] = <<< ENDSQL
SELECT
`revokebb_users`.*,
`revokebb_groups`.`name`,
`revokebb_groups`.`admincp`,
`revokebb_languages`.`lang_dir`
FROM
`revokebb_users`
Inner Join `revokebb_groups` ON `revokebb_users`.`level` = `revokebb_groups`.`gid`
Inner Join `revokebb_languages` ON `revokebb_users`.`language` = `revokebb_languages`.`lang_id`
WHERE user_id='%d'
ENDSQL;

$sql_templates['userid_exists'] = <<< ENDSQL
SELECT user_nick FROM revokebb_users WHERE user_id='%d'
ENDSQL;

$sql_templates['username_exists'] = <<< ENDSQL
SELECT user_nick FROM revokebb_users WHERE user_nick='%s'
ENDSQL;

$sql_templates['update_user_password'] = <<< ENDSQL
UPDATE revokebb_users SET user_password='%s' WHERE user_id='%d'
ENDSQL;

$sql_templates['login_check'] = <<< ENDSQL
SELECT user_nick, user_id, user_sign, user_avatar, level, user_password, lastaction FROM revokebb_users WHERE user_nick='%s' AND user_password='%s'
ENDSQL;

$sql_templates['sid_delete'] = <<< ENDSQL
DELETE FROM revokebb_sessions WHERE sid='%s'
ENDSQL;

$sql_templates['fetch_lastmp'] = <<< ENDSQL
Select
revokebb_mp.id,
revokebb_mp.title,
revokebb_mp.`date`,
revokebb_mp.view,
revokebb_mp.`text`,
revokebb_mp.author_id,
revokebb_mp.to_id,
revokebb_users.user_nick
From
revokebb_mp
Inner Join revokebb_users ON revokebb_users.user_id = revokebb_mp.author_id
Where
revokebb_mp.to_id = '%d'
Order by revokebb_mp.id DESC
Limit 0,1
ENDSQL;

$sql_templates['fetch_thread_subscriber'] = <<< ENDSQL
Select
revokebb_thread_subscribe.thread_id,
revokebb_thread_subscribe.emailupdate,
revokebb_thread_subscribe.subscribe_id,
revokebb_thread_subscribe.sent,
revokebb_threads.thread_id,
revokebb_threads.postuserid,
revokebb_thread_subscribe.userid,
revokebb_users.user_id,
revokebb_users.user_email,
revokebb_threads.title
From
revokebb_thread_subscribe
Inner Join revokebb_threads ON revokebb_thread_subscribe.thread_id = revokebb_threads.thread_id
Inner Join revokebb_users ON revokebb_thread_subscribe.userid = revokebb_users.user_id
Where
revokebb_thread_subscribe.thread_id = '%d'
AND
revokebb_thread_subscribe.userid <> '%d'
AND
revokebb_thread_subscribe.sent = '0'
ENDSQL;

$sql_templates['update_thread_subscriber'] = <<< ENDSQL
Update revokebb_thread_subscribe SET sent = '1'
Where
revokebb_thread_subscribe.thread_id = '%d'
AND
revokebb_thread_subscribe.userid <> '%d'
AND
revokebb_thread_subscribe.sent = '0'
ENDSQL;

$sql_templates['subscribe_user_to_thread'] = <<< ENDSQL
Insert Into revokebb_thread_subscribe (thread_id, emailupdate, userid, rssupdate) VALUES ('%d', '%d', '%d', '%d')
ENDSQL;

$sql_templates['unsubscribe_thread_by_uid'] = <<< ENDSQL
DELETE FROM revokebb_thread_subscribe WHERE userid = '%d' AND thread_id = '%d'
ENDSQL;

$sql_templates['fetch_mp_by_mid'] = <<< ENDSQL
Select
revokebb_mp.id,
revokebb_mp.title,
revokebb_mp.`date`,
revokebb_mp.view,
revokebb_mp.`text`,
revokebb_mp.author_id,
revokebb_mp.to_id,
revokebb_users.user_id,
revokebb_users.user_nick,
revokebb_users.user_website,
revokebb_users.user_avatar,
revokebb_users.user_sign,
revokebb_users.level,
revokebb_users.posts
From
revokebb_mp
Inner Join revokebb_users ON revokebb_mp.author_id = revokebb_users.user_id
Where
revokebb_mp.id = '%d'
AND
revokebb_mp.to_id = '%d'
ENDSQL;

$sql_templates['fetch_upload_by_upload_id'] = <<< ENDSQL
SELECT upload_id, upload_name, upload_file, upload_size, upload_type FROM revokebb_uploads WHERE upload_id='%d'
ENDSQL;

$sql_templates['update_upload_hits'] = <<< ENDSQL
UPDATE revokebb_uploads SET upload_hits=(upload_hits+1) WHERE upload_id='%d'
ENDSQL;

$sql_templates['sync_forums_lastthread'] = <<< ENDSQL
Select
revokebb_threads.thread_id,
revokebb_threads.last_update,
revokebb_threads.title,
revokebb_threads.lastposterid,
revokebb_threads.lastposter
From
revokebb_threads
Where
revokebb_threads.forumid = '%d'
Order By
revokebb_threads.last_update Desc
Limit 0, 1
ENDSQL;

$sql_templates['sync_forums_lastthread_update'] = <<< ENDSQL
Update
revokebb_forums
Set
lastposter = '%s',
lastposterid = '%d',
lastthread = '%s',
lastthreadid = '%d',
lastaction = '%d'
Where
forum_id = '%d'
ENDSQL;

$sql_templates['sync_forums_count_all'] = <<< ENDSQL
Select
Sum(revokebb_threads.reply) AS replies,
Count(revokebb_threads.forumid) AS threads
From
revokebb_threads
Where
revokebb_threads.forumid = '%d'
Group By
revokebb_threads.forumid
ENDSQL;

$sql_templates['update_forum_count'] = <<< ENDSQL
Update
revokebb_forums
Set
revokebb_forums.replycount = '%d',
revokebb_forums.threadcount = '%d'
Where
forum_id = '%d'
ENDSQL;

$sql_templates['thread_posts_delete'] = <<< ENDSQL
Delete
from
revokebb_posts
Where
thread_id = '%d'
ENDSQL;

$sql_templates['thread_delete'] = <<< ENDSQL
Delete
from
revokebb_threads
Where
thread_id = '%d'
ENDSQL;

$sql_templates['fetch_fid_by_tid'] = <<< ENDSQL
Select
revokebb_threads.forumid,
revokebb_threads.thread_id
From
revokebb_threads
Where
revokebb_threads.thread_id = '%d'
ENDSQL;

$sql_templates['thread_move'] = <<< ENDSQL
Update
revokebb_threads
Set
revokebb_threads.forumid = '%d'
Where
revokebb_threads.thread_id = '%d'
ENDSQL;

$sql_templates['sync_thread_count'] = <<< ENDSQL
Select
Count(revokebb_posts.thread_id) AS posts
From
revokebb_posts
Where
revokebb_posts.thread_id = '%d'
ENDSQL;

$sql_templates['sync_thread_count_update'] = <<< ENDSQL
Update
revokebb_threads
Set
revokebb_threads.reply = '%d'
Where
revokebb_threads.thread_id = '%d'
ENDSQL;

$sql_templates['sync_thread'] = <<< ENDSQL
Select
revokebb_posts.user_id,
revokebb_posts.username,
revokebb_users.user_nick,
revokebb_posts.dateline,
revokebb_posts.post_id,
revokebb_posts.thread_id
From
revokebb_posts
Inner Join revokebb_users ON revokebb_users.user_id = revokebb_posts.user_id
Where
revokebb_posts.thread_id = '%d'
Order By
revokebb_posts.dateline Desc
ENDSQL;

$sql_templates['sync_thread_update'] = <<< ENDSQL
Update
revokebb_threads
Set
revokebb_threads.lastposter = '%s',
revokebb_threads.lastposterid = '%d'
Where
revokebb_threads.thread_id = '%d'
ENDSQL;

$sql_templates['sync_thread_author_update'] = <<< ENDSQL
Update
revokebb_threads
Set
revokebb_threads.postusername = '%s',
revokebb_threads.postuserid = '%d'
Where
revokebb_threads.thread_id = '%d'
ENDSQL;

$sql_templates['insert_post'] = <<< ENDSQL
INSERT INTO revokebb_posts (thread_id, user_id, title, text, visible, author_ip, dateline, username) VALUES ('%d', '%d', '', '%s', 1, '%s', '%d', '%s')
ENDSQL;

$sql_templates['fetch_sessions'] = <<< ENDSQL
SELECT
`revokebb_sessions`.`username`,
`revokebb_sessions`.`sid`,
`revokebb_sessions`.`ip`,
Count(`revokebb_sessions`.`level`) AS `guests`,
`revokebb_sessions`.`timeout`,
`revokebb_sessions`.`level`,
`revokebb_sessions`.`spider_name`,
`revokebb_users`.`user_id`
FROM
`revokebb_sessions`
Inner Join `revokebb_users` ON `revokebb_sessions`.`username` = `revokebb_users`.`user_nick`
Group By
revokebb_sessions.spider_name,
revokebb_sessions.username
ENDSQL;

$sql_templates['increase_board_replies'] = <<< ENDSQL
UPDATE revokebb_configs SET conf_value='%d' WHERE conf_name='board_replies'
ENDSQL;

$sql_templates['new_forum'] = <<< ENDSQL
INSERT INTO revokebb_forums(title, description, lastposter, move_url, catid) VALUES ('%s', '%s', '', '%s', '%d' )
ENDSQL;

$sql_templates['new_cat'] = <<< ENDSQL
INSERT INTO revokebb_category ( title ) VALUES ('%s')
ENDSQL;

$sql_templates['delete_cat'] = <<< ENDSQL
DELETE FROM revokebb_category WHERE cat_id = '%d'
ENDSQL;

$sql_templates['delete_forum'] = <<< ENDSQL
DELETE FROM revokebb_forums WHERE forum_id = '%d'
ENDSQL;

$sql_templates['admin_update_notes'] = <<< ENDSQL
UPDATE revokebb_configs SET conf_value = '%s' WHERE conf_name = 'board_notes'
ENDSQL;

$sql_templates['update_visits'] = <<< ENDSQL
UPDATE revokebb_threads SET views=(views+1) WHERE thread_id ='%d'
ENDSQL;

$sql_templates['fetch_languages'] = <<< ENDSQL
Select
revokebb_languages.lang_id,
revokebb_languages.lang_name,
revokebb_languages.lang_dir
From
revokebb_languages
ENDSQL;

$sql_templates['fetch_all_groups'] = <<< ENDSQL
Select
revokebb_groups.gid,
revokebb_groups.name
From
revokebb_groups
ENDSQL;

$sql_templates['insert_forum_perm'] = <<< ENDSQL
INSERT INTO revokebb_perms ( group_id , perm , forum_id ) VALUES ( '%d', '%s', '%d')
ENDSQL;

$sql_templates['delete_perms_by_fid'] = <<< ENDSQL
DELETE FROM revokebb_perms WHERE forum_id = '%d'
ENDSQL;

$sql_templates['insert_admin_log'] = <<< ENDSQL
INSERT INTO revokebb_admin_logs ( dateline, uid, description, ip) VALUES ('%d', '%d', '%s', '%s')
ENDSQL;

$sql_templates['simple_search_topics'] = <<< ENDSQL
Select
revokebb_threads.thread_id,
revokebb_threads.title,
revokebb_threads.lastposterid,
revokebb_threads.lastposter,
revokebb_threads.pollid,
revokebb_threads.forumid,
revokebb_threads.postusername,
revokebb_threads.postuserid,
revokebb_threads.dateline,
revokebb_threads.reply,
revokebb_threads.visible,
revokebb_threads.sticky,
revokebb_threads.views,
revokebb_threads.closed,
revokebb_threads.firstpostid,
revokebb_posts.`text`,
revokebb_posts.post_id,
revokebb_posts.upload,
MATCH (revokebb_posts.text, revokebb_posts.title) AGAINST ( '%s') as score
From
revokebb_threads
Inner Join `revokebb_posts` ON `revokebb_posts`.`thread_id` =
`revokebb_threads`.`thread_id`
Where
MATCH (revokebb_posts.text, revokebb_posts.title) AGAINST ( '%s' IN
BOOLEAN MODE)
GROUP BY
`revokebb_threads`.`thread_id`
HAVING
score > 0.2
Order By
score Desc,
revokebb_threads.last_update Desc
LIMIT %d,%d
ENDSQL;

$sql_templates['full_search_topics'] = <<< ENDSQL
Select
revokebb_threads.thread_id,
revokebb_threads.title,
revokebb_threads.lastposterid,
revokebb_threads.lastposter,
revokebb_threads.pollid,
revokebb_threads.forumid,
revokebb_threads.postusername,
revokebb_threads.postuserid,
revokebb_threads.dateline,
revokebb_threads.reply,
revokebb_threads.visible,
revokebb_threads.sticky,
revokebb_threads.views,
revokebb_threads.closed,
revokebb_threads.firstpostid,
revokebb_posts.`text`,
revokebb_posts.post_id,
revokebb_posts.upload,
MATCH (%s) AGAINST ( '%s') as score
From
revokebb_threads
Inner Join `revokebb_posts` ON `revokebb_posts`.`thread_id` =
`revokebb_threads`.`thread_id`
Where
MATCH (%s) AGAINST ( '%s' IN BOOLEAN MODE)
AND
revokebb_threads.dateline > %d
AND
%s
AND
%s
GROUP BY
`revokebb_threads`.`thread_id`
HAVING
score > 0.2
Order By
%s %s,
revokebb_threads.last_update Desc
LIMIT %d,%d
ENDSQL;

$sql_templates['name_full_search_topics'] = <<< ENDSQL
Select
revokebb_threads.thread_id,
revokebb_threads.title,
revokebb_threads.lastposterid,
revokebb_threads.lastposter,
revokebb_threads.pollid,
revokebb_threads.forumid,
revokebb_threads.postusername,
revokebb_threads.postuserid,
revokebb_threads.dateline,
revokebb_threads.reply,
revokebb_threads.visible,
revokebb_threads.sticky,
revokebb_threads.views,
revokebb_threads.closed,
revokebb_threads.firstpostid,
revokebb_posts.`text`,
revokebb_posts.upload,
revokebb_posts.post_id
From
revokebb_threads
Inner Join `revokebb_posts` ON `revokebb_posts`.`thread_id` =
`revokebb_threads`.`thread_id`
Where
revokebb_threads.dateline > %d
AND
%s
AND
%s
GROUP BY
`revokebb_threads`.`thread_id`
Order By
%s %s,
revokebb_threads.last_update Desc
LIMIT %d,%d
ENDSQL;

$sql_templates['num_name_full_search_topics'] = <<< ENDSQL
Select
revokebb_threads.thread_id,
revokebb_threads.title,
revokebb_threads.lastposterid,
revokebb_threads.lastposter,
revokebb_threads.pollid,
revokebb_threads.forumid,
revokebb_threads.postusername,
revokebb_threads.postuserid,
revokebb_threads.dateline,
revokebb_threads.reply,
revokebb_threads.visible,
revokebb_threads.sticky,
revokebb_threads.views,
revokebb_threads.closed,
revokebb_threads.firstpostid,
revokebb_posts.`text`,
revokebb_posts.upload,
revokebb_posts.post_id
From
revokebb_threads
Inner Join `revokebb_posts` ON `revokebb_posts`.`thread_id` =
`revokebb_threads`.`thread_id`
Where
revokebb_threads.dateline > %d
AND
%s
AND
%s
GROUP BY
`revokebb_threads`.`thread_id`
Order By
%s %s,
revokebb_threads.last_update Desc
ENDSQL;

$sql_templates['simple_search_topics_num'] = <<< ENDSQL
Select
revokebb_threads.thread_id,
revokebb_threads.title,
revokebb_threads.lastposterid,
revokebb_threads.lastposter,
revokebb_threads.pollid,
revokebb_threads.forumid,
revokebb_threads.postusername,
revokebb_threads.postuserid,
revokebb_threads.dateline,
revokebb_threads.reply,
revokebb_threads.visible,
revokebb_threads.sticky,
revokebb_threads.views,
revokebb_threads.closed,
revokebb_threads.firstpostid,
revokebb_posts.`text`,
revokebb_posts.post_id,
MATCH (revokebb_posts.text, revokebb_posts.title) AGAINST ( '%s') as score
From
revokebb_threads
Inner Join `revokebb_posts` ON `revokebb_posts`.`thread_id` =
`revokebb_threads`.`thread_id`
Where
MATCH (revokebb_posts.text, revokebb_posts.title) AGAINST ( '%s' IN
BOOLEAN MODE)
GROUP BY
`revokebb_threads`.`thread_id`
HAVING
score > 0.2
Order By
score Desc,
revokebb_threads.last_update Desc
ENDSQL;

$sql_templates['full_search_topics_num'] = <<< ENDSQL
Select
revokebb_threads.thread_id,
revokebb_threads.title,
revokebb_threads.lastposterid,
revokebb_threads.lastposter,
revokebb_threads.pollid,
revokebb_threads.forumid,
revokebb_threads.postusername,
revokebb_threads.postuserid,
revokebb_threads.dateline,
revokebb_threads.reply,
revokebb_threads.visible,
revokebb_threads.sticky,
revokebb_threads.views,
revokebb_threads.closed,
revokebb_threads.firstpostid,
revokebb_posts.`text`,
revokebb_posts.post_id,
MATCH (%s) AGAINST ( '%s') as score
From
revokebb_threads
Inner Join `revokebb_posts` ON `revokebb_posts`.`thread_id` =
`revokebb_threads`.`thread_id`
Where
MATCH (%s) AGAINST ( '%s' IN BOOLEAN MODE)
AND
revokebb_threads.dateline > %d
AND
%s
AND
%s
GROUP BY
`revokebb_threads`.`thread_id`
HAVING
score > 0.2
Order By
%s %s,
revokebb_threads.last_update Desc
ENDSQL;

$sql_templates['fetch_admin_log'] = <<< ENDSQL
Select
revokebb_users.user_nick,
revokebb_admin_logs.dateline,
revokebb_admin_logs.description,
revokebb_admin_logs.ip
From
revokebb_admin_logs
Inner Join revokebb_users ON revokebb_admin_logs.uid = revokebb_users.user_id
ORDER By revokebb_admin_logs.dateline DESC
LIMIT %d,%d
ENDSQL;

$sql_templates['fetch_spiders_log'] = <<< ENDSQL
Select
revokebb_spider_logs.spider_name,
revokebb_spider_logs.ip,
revokebb_spider_logs.page,
revokebb_spider_logs.dateline
From
revokebb_spider_logs
ORDER By revokebb_spider_logs.dateline DESC
LIMIT %d,%d
ENDSQL;

$sql_templates['update_user_avatar'] = <<< ENDSQL
Update
revokebb_users
Set
user_avatar = '%s'
Where
user_id = '%d'
ENDSQL;

$sql_templates['update_user_sign'] = <<< ENDSQL
Update
revokebb_users
Set
user_sign = '%s'
Where
user_id = '%d'
ENDSQL;

$sql_templates['update_edit_post'] = <<< ENDSQL
UPDATE revokebb_posts SET text='%s' WHERE post_id='%d'
ENDSQL;

$sql_templates['fetch_last_post_by_tid'] = <<< ENDSQL
SELECT
Count(`revokebb_posts`.`post_id`) AS `all`
FROM revokebb_posts
WHERE thread_id = '%d'
ENDSQL;

$sql_templates['count_posts_by_tid'] = <<< ENDSQL
SELECT
Count(`revokebb_posts`.`post_id`) AS `tot`
FROM revokebb_posts
WHERE thread_id = '%d'
ENDSQL;

$sql_templates['fetch_quote_by_post_id'] = <<< ENDSQL
Select
revokebb_posts.user_id,
revokebb_posts.post_id,
revokebb_posts.`text`,
revokebb_users.user_id,
revokebb_users.user_nick,
revokebb_posts.dateline
From
revokebb_posts
Inner Join revokebb_users ON revokebb_posts.user_id = revokebb_users.user_id
WHERE post_id='%d'
ENDSQL;

$sql_templates['insert_new_mp'] = <<< ENDSQL
Insert into revokebb_mp (title, `date`, `text`, author_id, to_id) VALUES ('%s', '%d', '%s', '%d', '%d')
ENDSQL;

$sql_templates['update_user_mp'] = <<< ENDSQL
UPDATE `revokebb_users` SET `user_mp` = (user_mp+1),
`user_newmp` = '1' WHERE `revokebb_users`.`user_id` = '%d'
ENDSQL;

$sql_templates['update_user_newmp'] = <<< ENDSQL
UPDATE `revokebb_users` SET `user_newmp` = '0' WHERE `revokebb_users`.`user_id` = '%d'
ENDSQL;

$sql_templates['update_mp_state'] = <<< ENDSQL
UPDATE `revokebb_mp` SET `view` = '1' WHERE `revokebb_mp`.`id` = '%d'
ENDSQL;

$sql_templates['update_thread_subscribe_sent'] = <<< ENDSQL
UPDATE `revokebb_thread_subscribe` SET `sent` = '0' 
WHERE revokebb_thread_subscribe.thread_id = '%d' 
AND 
revokebb_thread_subscribe.userid = '%d'
ENDSQL;

$sql_templates['update_profile_views'] = <<< ENDSQL
UPDATE revokebb_users SET profile_views=(profile_views+1) Where revokebb_users.user_id = '%d'
ENDSQL;

$sql_templates['delete_mp_by_id_toid'] = <<< ENDSQL
DELETE FROM revokebb_mp Where revokebb_mp.id = '%d' And revokebb_mp.to_id = '%d'
ENDSQL;

$sql_templates['fetch_last_user_post_dateline'] = <<< ENDSQL
SELECT
`revokebb_posts`.`user_id`,
`revokebb_posts`.`dateline`
FROM
`revokebb_posts`
Where revokebb_posts.user_id = '%d'
Order By `revokebb_posts`.`dateline` DESC
LIMIT 0,1
ENDSQL;

$sql_templates['update_profile_1'] = <<< ENDSQL
Update revokebb_users SET user_msn = '%s', user_yahoo = '%s', user_gender = '%d', user_location = '%s' Where user_id = '%d'
ENDSQL;

$sql_templates['update_profile_2'] = <<< ENDSQL
Update revokebb_users SET user_email='%s' Where user_id = '%d'
ENDSQL;

$sql_templates['update_profile_3'] = <<< ENDSQL
Update revokebb_users SET wysiwyg='%d', language='%d' Where user_id = '%d'
ENDSQL;

$sql_templates['delete_sub_thread_by_id'] = <<< ENDSQL
DELETE FROM revokebb_thread_subscribe Where subscribe_id = '%d' And userid = '%d'
ENDSQL;

$sql_templates['fetch_sub_thread_by_id'] = <<< ENDSQL
Select subscribe_id, userid FROM revokebb_thread_subscribe Where userid = '%d' And thread_id = '%d'
ENDSQL;

$sql_templates['insert_poll_by_tid'] = <<< ENDSQL
INSERT INTO revokebb_polls (tid,questions) VALUES ('%d', '%s')
ENDSQL;

$sql_templates['update_pollid_by_tid'] = <<< ENDSQL
UPDATE revokebb_threads SET pollid = '%d' Where thread_id = '%d'
ENDSQL;

$sql_templates['insert_voter'] = <<< ENDSQL
INSERT INTO revokebb_voters (ip, dateline, thread_id, user_id) VALUES ('%d', '%d', '%d', '%d')
ENDSQL;

$sql_templates['fetch_poll_by_tid'] = <<< ENDSQL
SELECT * FROM revokebb_polls WHERE tid = '%d' LIMIT 0,1
ENDSQL;

$sql_templates['update_poll_by_tid'] = <<< ENDSQL
UPDATE revokebb_polls SET questions = '%s' WHERE pid = '%d'
ENDSQL;

$sql_templates['fetch_poll_and_voters_by_tid'] = <<< ENDSQL
SELECT * FROM revokebb_polls WHERE tid = '%d'
ENDSQL;

$sql_templates['fetch_voter_by_id'] = <<< ENDSQL
SELECT
`revokebb_voters`.`user_id`,
`revokebb_voters`.`thread_id`
FROM
`revokebb_voters`
Where `revokebb_voters`.`user_id`='%d' 
And
`revokebb_voters`.`thread_id`= '%d'
Limit 0,1
ENDSQL;

$sql_templates['delete_post_by_post_id'] = <<< ENDSQL
Delete
from
revokebb_posts
Where
post_id = '%d'
ENDSQL;

$sql_templates['fetch_title_fid_by_tid'] = <<< ENDSQL
SELECT title, thread_id, forumid FROM revokebb_threads WHERE thread_id='%d'
ENDSQL;

$sql_templates['update_forum_stats'] = <<< ENDSQL
UPDATE revokebb_forums SET lastpost='%d', lastposter='%s', lastposterid='%s', lastthread='%s', lastthreadid='%d', replycount=(replycount+1), lastaction='%d' WHERE forum_id='%d'
ENDSQL;

$sql_templates['update_thread_stats'] = <<< ENDSQL
UPDATE revokebb_threads SET lastposterid='%d', lastposter='%s', last_update='%d', reply=(reply+1) WHERE thread_id='%d'
ENDSQL;

$sql_templates['update_closed_thread'] = <<< ENDSQL
UPDATE revokebb_threads SET closed=1 WHERE thread_id='%d'
ENDSQL;

$sql_templates['update_sticky_thread'] = <<< ENDSQL
UPDATE revokebb_threads SET sticky=1 WHERE thread_id='%d'
ENDSQL;

$sql_templates['update_unsticky_thread'] = <<< ENDSQL
UPDATE revokebb_threads SET sticky=0 WHERE thread_id='%d'
ENDSQL;

$sql_templates['thread_exists'] = <<< ENDSQL
SELECT title, thread_id FROM revokebb_threads WHERE thread_id='%d' LIMIT 0,1
ENDSQL;

$sql_templates['update_post_text'] = <<< ENDSQL
UPDATE revokebb_posts SET text='%s' WHERE post_id='%d'
ENDSQL;

$sql_templates['fetch_post_text_pid'] = <<< ENDSQL
SELECT text, post_id FROM revokebb_posts WHERE post_id='%d'
ENDSQL;

$sql_templates['insert_upload'] = <<< ENDSQL
INSERT INTO revokebb_uploads (upload_date, upload_name, upload_file, upload_size, upload_type) VALUES ('%d',  '%s', '%s', '%s', '%s' )
ENDSQL;

$sql_templates['insert_upload'] = <<< ENDSQL
INSERT INTO revokebb_uploads (upload_date, upload_name, upload_file, upload_size, upload_type) VALUES ('%d',  '%s', '%s', '%s', '%s' )
ENDSQL;

$sql_templates['update_config_last_userid'] = <<< ENDSQL
UPDATE revokebb_configs SET conf_value='%d' WHERE conf_name='board_last_userid'
ENDSQL;

$sql_templates['update_config_last_user'] = <<< ENDSQL
UPDATE revokebb_configs SET conf_value='%s' WHERE conf_name='board_last_user'
ENDSQL;

$sql_templates['update_config_board_users'] = <<< ENDSQL
UPDATE revokebb_configs SET conf_value='%d' WHERE conf_name='board_users'
ENDSQL;

$sql_templates['update_upid_by_pid'] = <<< ENDSQL
UPDATE revokebb_posts SET upload = '%d' Where post_id = '%d'
ENDSQL;

$sql_templates['update_config_board_users'] = <<< ENDSQL
UPDATE revokebb_configs SET conf_value='%d' WHERE conf_name='board_users'
ENDSQL;

$sql_templates['num_threads'] = <<< ENDSQL
Select
Count(revokebb_threads.visible) AS tot
From
revokebb_threads
Inner Join revokebb_posts ON revokebb_posts.post_id = revokebb_threads.firstpostid
Inner Join revokebb_forums ON revokebb_forums.forum_id = revokebb_threads.forumid
Where
revokebb_threads.forumid = '%d'
Group By
revokebb_threads.forumid
ENDSQL;

$sql_templates['member_list'] = <<< ENDSQL
SELECT u.*, g.name as gnome
FROM revokebb_users u
LEFT JOIN revokebb_groups g ON g.gid = u.level
WHERE u.user_id <> '-1'
AND '%s'
ORDER BY '%s' %s
LIMIT %d,%d
ENDSQL;

$sql_templates['fetch_forum_list_move'] = <<< ENDSQL
SELECT
`revokebb_perms`.`perm`,
`revokebb_users`.`user_id`,
`revokebb_forums`.`forum_id`,
`revokebb_forums`.`title`,
`revokebb_perms`.`forum_id`,
`revokebb_perms`.`group_id`,
`revokebb_users`.`level`
FROM
`revokebb_forums`
Inner Join `revokebb_perms` ON `revokebb_forums`.`forum_id` = `revokebb_perms`.`forum_id`
Inner Join `revokebb_users` ON `revokebb_users`.`level` = `revokebb_perms`.`group_id`
WHERE
`revokebb_forums`.`closed` =  '0' AND
`revokebb_forums`.`move_url` =  '0' AND
`revokebb_users`.`user_id` =  '%d'
ENDSQL;

$sql_templates['fetch_memberlist_1'] = <<< ENDSQL
Select Count(u.user_id) AS tot FROM revokebb_users u WHERE u.user_id <> '-1' AND %s
ENDSQL;

$sql_templates['fetch_groups_upper_0'] = <<< ENDSQL
SELECT * FROM revokebb_groups WHERE gid > 0
ENDSQL;

$sql_templates['sync_user_delete_1'] = <<< ENDSQL
UPDATE revokebb_threads SET lastposter='%s' WHERE lastposter = '%s'
ENDSQL;

$sql_templates['sync_user_delete_2'] = <<< ENDSQL
UPDATE revokebb_threads SET postusername='%s' WHERE postusername = '%s'
ENDSQL;

$sql_templates['sync_user_delete_3'] = <<< ENDSQL
UPDATE revokebb_posts SET username='%s' WHERE username = '%s'
ENDSQL;

$sql_templates['sync_user_delete_4'] = <<< ENDSQL
UPDATE revokebb_sessions SET username='%s' WHERE username = '%s'
ENDSQL;

$sql_templates['sync_user_delete_5'] = <<< ENDSQL
UPDATE revokebb_forums SET lastposter='%s' WHERE lastposter = '%s'
ENDSQL;

$sql_templates['sync_user_delete_6'] = <<< ENDSQL
UPDATE revokebb_users SET %s WHERE user_id = '%d'
ENDSQL;

$sql_templates['sync_user_delete_7'] = <<< ENDSQL
UPDATE revokebb_forums SET lastposterid='0' WHERE lastposterid = '%d'
ENDSQL;

$sql_templates['sync_user_delete_8'] = <<< ENDSQL
UPDATE revokebb_threads SET lastposterid='0' WHERE lastposterid = '%d'
ENDSQL;

$sql_templates['sync_user_delete_9'] = <<< ENDSQL
UPDATE revokebb_threads SET postuserid='0' WHERE postuserid = '%d'
ENDSQL;

$sql_templates['sync_user_delete_10'] = <<< ENDSQL
UPDATE revokebb_posts SET user_id='0' WHERE user_id = '%d'
ENDSQL;

$sql_templates['sync_user_delete_11'] = <<< ENDSQL
DELETE FROM revokebb_users WHERE user_id  = '%d'
ENDSQL;

$sql_templates['fetch_posts_dateline'] = <<< ENDSQL
SELECT dateline FROM revokebb_posts WHERE dateline < '%d' AND dateline > '%d'
ENDSQL;

$sql_templates['fetch_activation'] = <<< ENDSQL
SELECT user_password, joined, status FROM revokebb_users WHERE user_password = '%s' AND joined = '%d' AND status = 0
ENDSQL;

$sql_templates['update_ustatus'] = <<< ENDSQL
UPDATE revokebb_users SET status = 1 WHERE user_password = '%s' AND joined = '%d' AND status = 0
ENDSQL;

$sql_templates['search_user'] = <<< ENDSQL
SELECT * FROM revokebb_users WHERE user_id >0 AND user_nick LIKE '%s'
ENDSQL;

/* CONFIGS */

$sql_templates['update_config'] = <<< ENDSQL
UPDATE revokebb_configs SET conf_value='%s' Where conf_name = '%s'
ENDSQL;

?>