<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

class RevokeBB
{
	/**
    * revokeBB path
    * @access Private
    * @var String
    */
	var $_path;

	/**
    * RevokeBB start time script
    * @access Private
    * @var int
    */
	var $time_count;

	/**
    * RevokeBB board configurations
    * @access Private
    * @var array
    */
	var $_config;

	/**
    * Basic constructor of RevokeBB
    *
    * @param None
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */
	function RevokeBB()
	{
	
		$this->_path='';
		$this->time_count=$this->microtime_float();
	
		
		define ( 'PHP_EXT',     '.php' );
		define ( 'SYSTEM_PATH', $this->_path );
		
		//---------------------------------
		// Fetch the essential core libraries:
		//---------------------------------
		require SYSTEM_PATH . 'inc/rev_classes'					. PHP_EXT;
		require SYSTEM_PATH . 'inc/t_lite/class.template'		. PHP_EXT;
		require SYSTEM_PATH . 'inc/class_skin'					. PHP_EXT;
		require SYSTEM_PATH . 'config'							. PHP_EXT;
		require SYSTEM_PATH . 'inc/db/class_'.$CONFIG['dbtype']	. PHP_EXT;
		require SYSTEM_PATH . 'inc/class_language'				. PHP_EXT;
		require SYSTEM_PATH . 'inc/class_status'				. PHP_EXT;
		require SYSTEM_PATH . 'inc/class_users'					. PHP_EXT;
		require SYSTEM_PATH . 'inc/class_var_filtrer'			. PHP_EXT;
		require SYSTEM_PATH . 'inc/class_cache'					. PHP_EXT;
		
		
		//---------------------------------
		// Load RevokeBB core class
		//---------------------------------
		$this->classes = new rev_classes($CONFIG);
		
		//---------------------------------
		// Settings rewrite
		//---------------------------------
		if($this->classes->user->info_user['user_id'] > 0)
			$this->classes->_config['wysiwyg'] = $this->classes->user->info_user['wysiwyg'];
			
		if($this->classes->user->info_user['admincp'] == 1)
			$this->classes->skin->cache = false;
		
		if($this->classes->user->info_user['lang_dir'] != $CONFIG['lang'])	
			$this->classes->lang->setlanguage($this->classes->user->info_user['lang_dir']);

		//---------------------------------
		// Check if the visitor ip is banned
		//---------------------------------
		if($this->classes->_config['board_ban']!='')
			foreach($this->classes->_config['board_ban'] as $value)
				if (eregi($value,$_SERVER['REMOTE_ADDR'])) 
					$this->classes->error->simple_error('ban_noperm');


		if(!isset($_GET['act']) || (!file_exists($this->_path.'inc/acts/'.$_GET['act'].'.php')) && $_GET['act']!='admin')
			$act='index';
		else
			$act=$_GET['act'];

		
		if($act!='admin')
		{
			if($this->classes->user->info_user['user_newmp']==1)
			{
					$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_lastmp', $this->classes->user->info_user['user_id']));  	
					$mp=$this->classes->db->fetch_array($query);
					$this->classes->user->info_user['newmpid'] = $mp['id'];
			}
			
			$this->classes->_config['ref'] = htmlentities('http://'.$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING']);
			
			if(strstr($this->classes->_config['ref'], 'act=login'))
				$this->classes->_config['ref'] = str_replace('act=login','', $this->classes->_config['ref']);
			
			$this->classes->skin->assign('title', $this->classes->_config['board_name'].' (Powered by RevokeBB)');
			
			
			include $this->_path.'inc/acts/'.$act.'.php';
		}
		else
		{
			
			$this->classes->skin->assign('title', 'AdminCP (Powered by RevokeBB)');
			
			include $this->_path.'admin.php';
		}
		
		if($act == 'newthread' || $act == 'newmp')
			$this->classes->skin->assign('act', 'newpost.tpl');
		else
			$this->classes->skin->assign('act', $act.'.tpl');
			
		$this->classes->skin->assign('user', $this->classes->user->info_user);
		$this->classes->skin->assign('config', $this->classes->_config);
		$this->classes->skin->assign('mode', array('modcp' => intval($_SESSION['modcp']), 'admin' => intval($this->classes->user->info_user['admincp'] == 1)));
		$this->classes->skin->assign('footer', $this->footer());
		$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
		
		
		//$this->get_load();
		
			
		if($_SESSION['modcp'] == true || $this->classes->user->info_user['admincp'] == 1)
			$this->classes->skin->cache = false;
			
		$this->classes->skin->content = $this->classes->skin->fetch('main.tpl', $act.$add.$this->classes->user->info_user['level']);
		
		$this->classes->skin->cache = false;
		
		if($act == 'index')
			$this->classes->skin->content .= $this->classes->skin->fetch('index_stats.tpl');
			
		if($act == 'admin')
			$this->classes->skin->content = $this->classes->skin->content . $this->classes->skin->fetch('footer.tpl');
		else
			$this->classes->skin->content =	$this->classes->skin->fetch('header.tpl') . $this->classes->skin->content . $this->classes->skin->fetch('footer.tpl');
		$this->classes->skin->display_all();

	}

	/**
    * Footer statistics
    *
    * @param None
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return Void
    */
	function footer()
	{
		
		$time=(float)$this->microtime_float()-$this->time_count;
		
		$stats = array('queries' 	=> $this->classes->db->num_query,
						'time'		=> number_format($time,4,',','.')
						);
		return $stats;
		//board_version
	}

	/**
    * Function to count the microseconds of execution
    *
    * @param None
    * @author denadai2 <denadai2@gmail.com>
    * @since v 0.1
    * @access Public
    * @return float
    */
	function microtime_float()
	{
		list($usec, $sec) = explode(" ", microtime());
		return ((float)$usec + (float)$sec);
	}


}

?>