DROP TABLE IF EXISTS `revokebb_admin_logs`;
CREATE TABLE `revokebb_admin_logs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dateline` int(255) NOT NULL,
  `uid` int(20) NOT NULL,
  `description` varchar(150) NOT NULL,
  `ip` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;



-- --------------------------------------------------------

DROP TABLE IF EXISTS `revokebb_category`;
CREATE TABLE `revokebb_category` (
  `cat_id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(120) NOT NULL,
  PRIMARY KEY  (`cat_id`)
) TYPE=MyISAM  AUTO_INCREMENT=3 ;


INSERT INTO `revokebb_category` VALUES (1, 'cat1');

-- --------------------------------------------------------


DROP TABLE IF EXISTS `revokebb_configs`;
CREATE TABLE `revokebb_configs` (
  `conf_name` varchar(255) NOT NULL default '',
  `conf_value` varchar(255) NOT NULL default ''
) TYPE=MyISAM;



INSERT INTO `revokebb_configs` VALUES ('board_name', '%board_name%');
INSERT INTO `revokebb_configs` VALUES ('board_url', '%board_url%');
INSERT INTO `revokebb_configs` VALUES ('board_replies', '1');
INSERT INTO `revokebb_configs` VALUES ('board_users', '1');
INSERT INTO `revokebb_configs` VALUES ('board_last_user', '%default_admin_name%');
INSERT INTO `revokebb_configs` VALUES ('board_threads', '1');
INSERT INTO `revokebb_configs` VALUES ('board_last_userid', '1');
INSERT INTO `revokebb_configs` VALUES ('default_skin', 'revoke');
INSERT INTO `revokebb_configs` VALUES ('board_version', '1.0 beta build 1');
INSERT INTO `revokebb_configs` VALUES ('wysiwyg', '1');
INSERT INTO `revokebb_configs` VALUES ('board_notes', 'Board note test');
INSERT INTO `revokebb_configs` VALUES ('board_ban', '');
INSERT INTO `revokebb_configs` VALUES ('board_domain', '%board_domain%');
INSERT INTO `revokebb_configs` VALUES ('admin_email', '%default_admin_email%');

-- --------------------------------------------------------


DROP TABLE IF EXISTS `revokebb_forums`;
CREATE TABLE `revokebb_forums` (
  `forum_id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(120) NOT NULL,
  `description` text NOT NULL,
  `replycount` int(10) unsigned NOT NULL default '0',
  `lastpost` int(10) unsigned NOT NULL default '0',
  `lastposter` varchar(100) NOT NULL default '',
  `lastposterid` int(15) NOT NULL default '0',
  `lastthread` varchar(100) NOT NULL default '',
  `lastthreadid` int(10) unsigned NOT NULL default '0',
  `threadcount` int(10) unsigned NOT NULL default '0',
  `catid` int(255) unsigned NOT NULL default '0',
  `move_url` varchar(255) NOT NULL default '0',
  `closed` int(2) NOT NULL default '0',
  `rank` smallint(5) NOT NULL,
  `perm_mask` int(10) unsigned NOT NULL,
  `lastaction` int(10) NOT NULL default '0',
  PRIMARY KEY  (`forum_id`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;



INSERT INTO `revokebb_forums` VALUES (1, 'forum1 cat1', 'fdsgsg', 1, 1, 'RevokeSoft', -1, 'Welcome to RevokeBB', 1, 1, 1, '0', 0, 1, 1, 1164885678);

-- --------------------------------------------------------

DROP TABLE IF EXISTS `revokebb_groups`;
CREATE TABLE `revokebb_groups` (
  `gid` int(10) unsigned NOT NULL,
  `name` varchar(30) NOT NULL,
  `description` text,
  `image` varchar(255) NOT NULL default '0',
  `admincp` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`gid`)
) TYPE=MyISAM;

-- 
-- Dump dei dati per la tabella `revokebb_groups`
-- 

INSERT INTO `revokebb_groups` VALUES (0, 'Visitor', NULL, '0', 0);
INSERT INTO `revokebb_groups` VALUES (1, 'Member', NULL, '<img src=\\"images/star.png\\" alt=\\"\\" />', 0);
INSERT INTO `revokebb_groups` VALUES (3, 'Banned', NULL, '0', 0);
INSERT INTO `revokebb_groups` VALUES (4, 'Validating', NULL, '0', 0);
INSERT INTO `revokebb_groups` VALUES (5, 'Moderator', NULL, '0', 0);
INSERT INTO `revokebb_groups` VALUES (6, 'Super Moderator', NULL, '0', 0);
INSERT INTO `revokebb_groups` VALUES (7, 'Admin', NULL, '0', 1);

-- --------------------------------------------------------



DROP TABLE IF EXISTS `revokebb_languages`;
CREATE TABLE `revokebb_languages` (
  `lang_id` int(10) unsigned NOT NULL auto_increment,
  `lang_name` varchar(120) NOT NULL,
  `lang_dir` varchar(120) NOT NULL,
  `lang_author` varchar(120) NOT NULL,
  PRIMARY KEY  (`lang_id`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;



INSERT INTO `revokebb_languages` VALUES (1, 'Italiano', 'italian', 'denadai2');
INSERT INTO `revokebb_languages` ( `lang_id` , `lang_name` , `lang_dir` , `lang_author` ) VALUES ( NULL , 'English', 'english', 'Xalexalex' );

-- --------------------------------------------------------


DROP TABLE IF EXISTS `revokebb_mp`;
CREATE TABLE `revokebb_mp` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(120) NOT NULL,
  `date` int(255) NOT NULL default '0',
  `view` tinyint(2) NOT NULL default '0',
  `text` text NOT NULL,
  `author_id` int(20) NOT NULL default '0',
  `to_id` int(20) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `revokebb_mp`
-- 


-- --------------------------------------------------------


DROP TABLE IF EXISTS `revokebb_perms`;
CREATE TABLE `revokebb_perms` (
  `perm_id` int(10) unsigned NOT NULL auto_increment,
  `group_id` int(10) unsigned NOT NULL,
  `perm` char(5) NOT NULL,
  `forum_id` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`perm_id`)
) TYPE=MyISAM  AUTO_INCREMENT=9 ;



INSERT INTO `revokebb_perms` VALUES (1, 0, '11111', 1);
INSERT INTO `revokebb_perms` VALUES (2, 1, '11111', 1);
INSERT INTO `revokebb_perms` VALUES (3, 2, '11111', 1);
INSERT INTO `revokebb_perms` VALUES (4, 3, '11111', 1);
INSERT INTO `revokebb_perms` VALUES (5, 4, '11111', 1);
INSERT INTO `revokebb_perms` VALUES (6, 5, '11111', 1);
INSERT INTO `revokebb_perms` VALUES (7, 6, '11111', 1);
INSERT INTO `revokebb_perms` VALUES (8, 7, '11111', 1);

-- --------------------------------------------------------



DROP TABLE IF EXISTS `revokebb_posts`;
CREATE TABLE `revokebb_posts` (
  `post_id` int(10) unsigned NOT NULL auto_increment,
  `thread_id` int(10) unsigned NOT NULL default '0',
  `user_id` int(20) NOT NULL default '0',
  `title` varchar(120) NOT NULL,
  `dateline` int(255) unsigned NOT NULL default '0',
  `text` mediumtext NOT NULL,
  `visible` smallint(5) unsigned NOT NULL default '0',
  `author_ip` varchar(40) NOT NULL,
  `username` varchar(120) NOT NULL default '0',
  `upload` int(10) unsigned NOT NULL default '1',
  PRIMARY KEY  (`post_id`),
  FULLTEXT KEY `texta` (`text`,`title`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;



INSERT INTO `revokebb_posts` VALUES (1, 1, -1, '', 1162132278, '<div align="left">Hi all,</div><div align="left">&nbsp;</div><div align="left">This is the new board &quot;RevokeBB&quot;... TRY IT!</div><div align="left">&nbsp;</div><div align="left">3</div><div align="left">2</div><div align="left">1</div><div align="left"><strong>GOGOGOGO <br /></strong></div>', 1, '127.0.0.1', 'RevokeSoft', 1);

-- --------------------------------------------------------



DROP TABLE IF EXISTS `revokebb_sessions`;
CREATE TABLE `revokebb_sessions` (
  `username` varchar(120) NOT NULL,
  `sid` varchar(32) NOT NULL,
  `ip` varchar(40) NOT NULL,
  `level` smallint(10) NOT NULL default '0',
  `timeout` int(255) NOT NULL default '0',
  `spider_name` varchar(255) NOT NULL default '0',
  PRIMARY KEY  (`sid`)
) TYPE=MyISAM;



INSERT INTO `revokebb_sessions` VALUES ('Guest', '7df6a1e3b2e6e6095ca8547aeb96f177', '127.0.0.1', 0, 1162132279, '0');

-- --------------------------------------------------------




DROP TABLE IF EXISTS `revokebb_smiles`;
CREATE TABLE `revokebb_smiles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `text` varchar(255) NOT NULL default '',
  `smile` varchar(255) NOT NULL default '',
  `visible` smallint(2) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;



INSERT INTO `revokebb_smiles` VALUES (1, ':cool:', 'cool.gif', 1);

-- --------------------------------------------------------


DROP TABLE IF EXISTS `revokebb_spider_logs`;
CREATE TABLE `revokebb_spider_logs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `spider_name` varchar(120) NOT NULL,
  `ip` varchar(40) NOT NULL,
  `page` varchar(255) NOT NULL,
  `dateline` int(255) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;




-- --------------------------------------------------------



DROP TABLE IF EXISTS `revokebb_thread_subscribe`;
CREATE TABLE `revokebb_thread_subscribe` (
  `thread_id` int(10) unsigned NOT NULL,
  `userid` int(20) NOT NULL,
  `emailupdate` smallint(5) unsigned NOT NULL,
  `rssupdate` smallint(5) unsigned NOT NULL,
  `subscribe_id` int(10) unsigned NOT NULL auto_increment,
  `sent` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`subscribe_id`)
) TYPE=MyISAM  AUTO_INCREMENT=1 ;




-- --------------------------------------------------------

DROP TABLE IF EXISTS `revokebb_threads`;
CREATE TABLE `revokebb_threads` (
  `thread_id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(120) NOT NULL,
  `lastposterid` int(20) NOT NULL default '0',
  `lastposter` varchar(120) NOT NULL default '0',
  `pollid` int(10) unsigned NOT NULL default '0',
  `forumid` int(10) unsigned NOT NULL default '0',
  `postusername` varchar(120) NOT NULL,
  `postuserid` int(20) NOT NULL default '0',
  `dateline` int(255) unsigned NOT NULL default '0',
  `reply` int(10) unsigned NOT NULL default '0',
  `visible` tinyint(2) unsigned NOT NULL default '0',
  `sticky` tinyint(2) unsigned NOT NULL default '0',
  `views` int(255) unsigned NOT NULL default '0',
  `firstpostid` int(255) NOT NULL default '0',
  `closed` tinyint(2) NOT NULL default '0',
  `moved_id` int(10) unsigned NOT NULL default '0',
  `last_update` int(255) NOT NULL,
  PRIMARY KEY  (`thread_id`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;



INSERT INTO `revokebb_threads` VALUES (1, 'Welcome to RevokeBB', -1, 'RevokeSoft', 0, 1, 'RevokeSoft', -1, 1162132278, 0, 1, 0, 1, 1, 0, 0, 1162132278);

-- --------------------------------------------------------


DROP TABLE IF EXISTS `revokebb_uploads`;
CREATE TABLE `revokebb_uploads` (
  `upload_id` int(10) unsigned NOT NULL auto_increment,
  `upload_post` int(10) unsigned NOT NULL default '0',
  `upload_date` int(10) unsigned NOT NULL default '0',
  `upload_name` varchar(250) NOT NULL default '0',
  `upload_file` varchar(255) NOT NULL default '',
  `upload_size` int(10) unsigned NOT NULL default '0',
  `upload_hits` int(10) unsigned NOT NULL default '0',
  `upload_type` varchar(250) NOT NULL,
  PRIMARY KEY  (`upload_id`)
) TYPE=MyISAM  AUTO_INCREMENT=4 ;


INSERT INTO `revokebb_uploads` VALUES (1, 0, 1155425844, 'Log.txt', 'TG9nLnR4dA==.rvk', 6502, 0, 'text/plain');

-- --------------------------------------------------------

DROP TABLE IF EXISTS `revokebb_users`;
CREATE TABLE `revokebb_users` (
  `user_id` int(20) NOT NULL auto_increment,
  `user_nick` varchar(120) NOT NULL,
  `user_password` varchar(32) NOT NULL default '',
  `user_email` varchar(220) NOT NULL,
  `user_website` varchar(200) NOT NULL default '0',
  `user_avatar` varchar(200) NOT NULL,
  `user_sign` text NOT NULL,
  `level` int(10) unsigned NOT NULL default '1',
  `posts` int(10) unsigned NOT NULL default '0',
  `lastaction` int(255) NOT NULL default '0',
  `user_mp` int(10) NOT NULL default '0',
  `user_newmp` smallint(3) NOT NULL default '0',
  `user_msn` varchar(30) NOT NULL default '0',
  `user_yahoo` varchar(30) NOT NULL default '0',
  `user_location` varchar(30) collate latin1_general_ci NOT NULL default '0',
  `profile_views` int(10) unsigned NOT NULL default '0',
  `user_gender` tinyint(3) unsigned NOT NULL default '0',
  `joined` int(10) unsigned NOT NULL default '0',
  `language` int(10) unsigned NOT NULL default '1',
  `wysiwyg` tinyint(3) unsigned NOT NULL default '1',
  `status` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`user_id`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;


INSERT INTO `revokebb_users` VALUES (1, '%default_admin_name%', '%default_md5_password%', '%default_admin_email%', '0', 'noavatar.gif', '', 7, 1, %action%, 0, 0, '0', '0', '0','0','0','%action%', 1, 1, 1);
INSERT INTO `revokebb_users` VALUES (-1, 'Guest', '', '', '0', 'noavatar.gif', '', 0, 0, %action%, 0, 0, '0', '0', '0','0','0','%action%', 1, 1, 1);

-- --------------------------------------------------------

DROP TABLE IF EXISTS `revokebb_voters`;
CREATE TABLE `revokebb_voters` (
  `vote_id` int(10) unsigned NOT NULL auto_increment,
  `ip` int(11) NOT NULL,
  `dateline` int(10) NOT NULL,
  `thread_id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`vote_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `revokebb_polls`;
CREATE TABLE `revokebb_polls` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `tid` int(10) unsigned NOT NULL,
  `questions` text collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`pid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `revokebb_search`;
CREATE TABLE `revokebb_search` (
  `id` varchar(32) NOT NULL,
  `dateline` int(10) unsigned NOT NULL,
  `sort` text NOT NULL,
  `userid` int(10) unsigned NOT NULL,
  `ip` varchar(30) NOT NULL,
  `query_cache` text NOT NULL,
  `page` int(10) unsigned NOT NULL default '0',
  `forums` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
